## load-relative-el 1.3.1

=== test/subdir/Makefile ===
# Whatever it is you want to do, it should be forwarded to the 
# to top-level irectories
PHONY=check all
all: check

%: 
	$(MAKE) -C .. $@

## load-relative-el 1.3+repack

=== debian/changelog ===
load-relative-el (1.3+repack-2) unstable; urgency=medium

  * Migrate to dh 12
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.3.0 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 02 Feb 2019 14:42:36 +0500

load-relative-el (1.3+repack-1) unstable; urgency=medium

  * Initial release (Closes: #877644)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 3 Oct 2017 22:47:09 +0500

=== debian/control ===
Source: load-relative-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://github.com/rocky/emacs-load-relative
Vcs-Browser: https://salsa.debian.org/emacsen-team/load-relative-el
Vcs-Git: https://salsa.debian.org/emacsen-team/load-relative-el.git

Package: elpa-load-relative
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: relative file load (within a multi-file Emacs package)
 This package provides functions which facilitate writing multi-file
 Emacs packages and facilitate running from the source tree without
 having to "install" code or fiddle with `load-path'.

=== debian/watch ===
# This watch file won't produce the orig.tar file and will in fact exit with
# an error. This is okay: we're using gbp to produce orig.tar files so we only
# need uscan to download.

version=3
opts=dversionmangle=s/\+?(repack)\d*$// \
https://elpa.gnu.org/packages/load-relative.html load-relative-(.+).el

## load-relative-el 1.3.1

=== debian/changelog ===
load-relative-el (1.3.1-3) unstable; urgency=medium

  * Team upload
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Mon, 25 Jan 2021 07:31:34 -0400

load-relative-el (1.3.1-2) unstable; urgency=medium

  * Override auto_build and auto_install

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 16 Jul 2019 17:05:38 +0500

load-relative-el (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * Drop obsolete README.Debian
  * Do not include unneeded auxilary code
  * Disable elpa tests since tests are handled by included simple-test
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)
  * d/control: Change Homepage to elpa.gnu.org (from github.com)
  * d/copyright: Update copyright

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 16 Jul 2019 16:57:23 +0500

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-elpa
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
-Homepage: https://github.com/rocky/emacs-load-relative
+Homepage: https://elpa.gnu.org/packages/load-relative.html
 Vcs-Browser: https://salsa.debian.org/emacsen-team/load-relative-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/load-relative-el.git

## load-relative-el 1.3.2

=== debian/changelog ===
load-relative-el (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:29:26 +0900

load-relative-el (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2
  * Refresh patch to clean documentation
  * Add upstream metadata
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)
  * d/control: Migrate to debhelper-compat 13
  * d/watch: Add upstream signing key support
  * d/watch: Update regexp

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 26 Feb 2023 10:30:23 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://elpa.gnu.org/packages/load-relative.html
 Vcs-Browser: https://salsa.debian.org/emacsen-team/load-relative-el

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

override_dh_auto_install:
	@echo skipping upstream install

override_dh_auto_test:
	@echo skipping upstream test

.PHONY: override_dh_auto_build override_dh_auto_install override_dh_auto_test

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://elpa.gnu.org/packages/load-relative.html load-relative-(.+).tar(?:\.lz)?
